Index: plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/configurators/JSFProjectConfigurator.java
===================================================================
--- plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/configurators/JSFProjectConfigurator.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/configurators/JSFProjectConfigurator.java	(working copy)
@@ -1,21 +1,25 @@
-/*************************************************************************************
- * Copyright (c) 2008-2011 Red Hat, Inc. and others.
- * All rights reserved. This program and the accompanying materials 
- * are made available under the terms of the Eclipse Public License v1.0
- * which accompanies this distribution, and is available at
- * http://www.eclipse.org/legal/epl-v10.html
- * 
+/*******************************************************************************
+ * Copyright (c) 2011 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
  * Contributors:
- *     JBoss by Red Hat - Initial implementation.
- ************************************************************************************/
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
 package org.jboss.tools.maven.jsf.configurators;
 
 import java.io.File;
 import java.io.IOException;
+import java.util.List;
 
+import org.apache.maven.artifact.Artifact;
+import org.apache.maven.artifact.repository.ArtifactRepository;
 import org.apache.maven.model.Plugin;
 import org.apache.maven.project.MavenProject;
 import org.codehaus.plexus.util.xml.Xpp3Dom;
+import org.eclipse.core.resources.IContainer;
 import org.eclipse.core.resources.IFile;
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.runtime.CoreException;
@@ -23,6 +27,11 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.Path;
 import org.eclipse.jface.preference.IPreferenceStore;
+import org.eclipse.m2e.core.project.IMavenProjectFacade;
+import org.eclipse.m2e.core.project.MavenProjectChangedEvent;
+import org.eclipse.m2e.core.project.configurator.AbstractProjectConfigurator;
+import org.eclipse.m2e.core.project.configurator.ProjectConfigurationRequest;
+import org.eclipse.wst.common.componentcore.ComponentCore;
 import org.eclipse.wst.common.componentcore.ModuleCoreNature;
 import org.eclipse.wst.common.frameworks.datamodel.IDataModel;
 import org.eclipse.wst.common.project.facet.core.IFacetedProject;
@@ -37,11 +46,6 @@
 import org.jboss.tools.maven.jsf.MavenJSFActivator;
 import org.jboss.tools.maven.jsf.Messages;
 import org.jboss.tools.maven.ui.Activator;
-import org.maven.ide.eclipse.project.IMavenProjectFacade;
-import org.maven.ide.eclipse.project.MavenProjectChangedEvent;
-import org.maven.ide.eclipse.project.configurator.AbstractProjectConfigurator;
-import org.maven.ide.eclipse.project.configurator.ProjectConfigurationRequest;
-import org.maven.ide.eclipse.wtp.WTPProjectsUtil;
 
 /**
  * 
@@ -53,13 +57,13 @@
 	private static final String JSF_API_GROUP_ID = "javax.faces"; //$NON-NLS-1$
 	private static final String JSF_API2_GROUP_ID = "com.sun.faces"; //$NON-NLS-1$
 	private static final String JSF_API_ARTIFACT_ID = "jsf-api"; //$NON-NLS-1$
-
+	
 	private static final String WEB_XML = "WEB-INF/web.xml";
 	private static final String WAR_SOURCE_FOLDER = "/src/main/webapp";
 
 	protected static final IProjectFacet dynamicWebFacet;
 	protected static final IProjectFacetVersion dynamicWebVersion;
-
+	
 	protected static final IProjectFacet jsfFacet;
 	protected static final IProjectFacetVersion jsfVersion20;
 	protected static final IProjectFacetVersion jsfVersion12;
@@ -67,100 +71,113 @@
 	protected static final IProjectFacet m2Facet;
 	protected static final IProjectFacetVersion m2Version;
 
+	private static final String JSF_VERSION_2_0 = "2.0";
+	
 	static {
 		dynamicWebFacet = ProjectFacetsManager.getProjectFacet("jst.web"); //$NON-NLS-1$
-		dynamicWebVersion = dynamicWebFacet.getVersion("2.5"); //$NON-NLS-1$
+		dynamicWebVersion = dynamicWebFacet.getVersion("2.5");  //$NON-NLS-1$
 		jsfFacet = ProjectFacetsManager.getProjectFacet("jst.jsf"); //$NON-NLS-1$
-		jsfVersion20 = jsfFacet.getVersion("2.0"); //$NON-NLS-1$
+		jsfVersion20 = jsfFacet.getVersion(JSF_VERSION_2_0); 
 		jsfVersion12 = jsfFacet.getVersion("1.2"); //$NON-NLS-1$
 		jsfVersion11 = jsfFacet.getVersion("1.1"); //$NON-NLS-1$
 		m2Facet = ProjectFacetsManager.getProjectFacet("jboss.m2"); //$NON-NLS-1$
 		m2Version = m2Facet.getVersion("1.0"); //$NON-NLS-1$
 	}
-
+	
 	@Override
 	public void configure(ProjectConfigurationRequest request,
 			IProgressMonitor monitor) throws CoreException {
 		MavenProject mavenProject = request.getMavenProject();
 		IProject project = request.getProject();
-		configureInternal(mavenProject, project, monitor);
+		configureInternal(mavenProject,project, monitor);
 	}
-
-	private void configureInternal(MavenProject mavenProject, IProject project,
+	
+	private void configureInternal(MavenProject mavenProject,IProject project,
 			IProgressMonitor monitor) throws CoreException {
 		IPreferenceStore store = Activator.getDefault().getPreferenceStore();
 		boolean configureJSF = store.getBoolean(Activator.CONFIGURE_JSF);
 		if (!configureJSF) {
 			return;
 		}
-
-		String packaging = mavenProject.getPackaging();
-		String jsfVersion = getJSFVersion(mavenProject);
-		if (jsfVersion != null) {
-			final IFacetedProject fproj = ProjectFacetsManager.create(project);
-			if (fproj != null && "war".equals(packaging)) { //$NON-NLS-1$
-				installWarFacets(fproj, jsfVersion, mavenProject, monitor);
-			}
+		
+    	final IFacetedProject fproj = ProjectFacetsManager.create(project);
+		if (fproj != null && fproj.hasProjectFacet(jsfFacet) && fproj.hasProjectFacet(m2Facet)) {
+			//everything already installed. Since there's no support for version update -yet- we bail
+			return;
 		}
+		
+		String packaging = mavenProject.getPackaging();
+	    String jsfVersion = getJSFVersion(mavenProject);
+	    if (fproj != null && jsfVersion != null && "war".equals(packaging)) { //$NON-NLS-1$
+	      installWarFacets(fproj, jsfVersion, mavenProject, monitor);
+	    }
 	}
 
+
 	@Override
 	public void mavenProjectChanged(MavenProjectChangedEvent event,
 			IProgressMonitor monitor) throws CoreException {
 		IMavenProjectFacade facade = event.getMavenProject();
-		if (facade != null) {
-			IProject project = facade.getProject();
-			if (isWTPProject(project)) {
-				MavenProject mavenProject = facade.getMavenProject(monitor);
-				configureInternal(mavenProject, project, monitor);
-			}
-		}
+	    if(facade != null) {
+	      IProject project = facade.getProject();
+	      if(isWTPProject(project)) {
+	        MavenProject mavenProject = facade.getMavenProject(monitor);
+	        configureInternal(mavenProject, project, monitor);
+	      }
+	    }
 		super.mavenProjectChanged(event, monitor);
 	}
 
 	private boolean isWTPProject(IProject project) {
-		return ModuleCoreNature.getModuleCoreNature(project) != null;
-	}
-
-	private void installM2Facet(IFacetedProject fproj, IProgressMonitor monitor)
-			throws CoreException {
+	    return ModuleCoreNature.getModuleCoreNature(project) != null;
+	 }
+	
+	private void installM2Facet(IFacetedProject fproj, IProgressMonitor monitor) throws CoreException {
 		if (!fproj.hasProjectFacet(m2Facet)) {
-			IDataModel config = (IDataModel) new MavenFacetInstallDataModelProvider()
-					.create();
-			config.setBooleanProperty(
-					IJBossMavenConstants.MAVEN_PROJECT_EXISTS, true);
+			IDataModel config = (IDataModel) new MavenFacetInstallDataModelProvider().create();
+			config.setBooleanProperty(IJBossMavenConstants.MAVEN_PROJECT_EXISTS, true);
 			fproj.installProjectFacet(m2Version, config, monitor);
 		}
 	}
 
-	private void installWarFacets(IFacetedProject fproj, String jsfVersion,
-			MavenProject mavenProject, IProgressMonitor monitor)
-			throws CoreException {
-
+	
+	private void installWarFacets(IFacetedProject fproj, 
+			String jsfVersion, MavenProject mavenProject,
+			IProgressMonitor monitor) throws CoreException {
+		
 		if (!fproj.hasProjectFacet(dynamicWebFacet)) {
-			Activator
-					.log(Messages.JSFProjectConfigurator_The_project_does_not_contain_the_Web_Module_facet);
+			Activator.log(Messages.JSFProjectConfigurator_The_project_does_not_contain_the_Web_Module_facet);
 		}
 		installJSFFacet(fproj, jsfVersion, mavenProject, monitor);
 		installM2Facet(fproj, monitor);
-
+		
 	}
 
-	private void installJSFFacet(IFacetedProject fproj,
+
+	private void installJSFFacet(IFacetedProject fproj, 
 			String jsfVersionString, MavenProject mavenProject,
-			IProgressMonitor monitor) throws CoreException {
+			IProgressMonitor monitor)
+			throws CoreException {
 		if (!fproj.hasProjectFacet(jsfFacet)) {
+			String warSourceDir = getWarSourceDirectory(mavenProject,fproj.getProject());
+			IPath facesConfigPath = new Path("WEB-INF/faces-config.xml");
+			IFile facesConfig = fproj.getProject().getFolder(warSourceDir).getFile(facesConfigPath);
+			IFile generatedFacesConfig = getFileFromUnderlyingresources(fproj.getProject(), facesConfigPath);
+
+			//faces-config.xml will not be created in the source folder and it doesn't exist yet
+			// => We'll have to fix it after setting the JSF facet
+			boolean shouldFixFacesConfig = !generatedFacesConfig.getLocation().equals(facesConfig.getLocation()) 
+					                    && !generatedFacesConfig.exists();  
+			
 			if (jsfVersionString.startsWith("1.1")) { //$NON-NLS-1$
-				IDataModel model = MavenJSFActivator.getDefault()
-						.createJSFDataModel(fproj, jsfVersion11);
-				fproj.installProjectFacet(jsfVersion11, model, monitor);
+				IDataModel model = MavenJSFActivator.getDefault().createJSFDataModel(fproj,jsfVersion11);
+				fproj.installProjectFacet(jsfVersion11, model, monitor);	
 			}
-			if (jsfVersionString.startsWith("1.2")) { //$NON-NLS-1$
-				IDataModel model = MavenJSFActivator.getDefault()
-						.createJSFDataModel(fproj, jsfVersion12);
-				fproj.installProjectFacet(jsfVersion12, model, monitor);
+			else if (jsfVersionString.startsWith("1.2")) { //$NON-NLS-1$
+				IDataModel model = MavenJSFActivator.getDefault().createJSFDataModel(fproj,jsfVersion12);
+				fproj.installProjectFacet(jsfVersion12, model, monitor);	
 			}
-			if (jsfVersionString.startsWith("2.0")) { //$NON-NLS-1$
+			else if (jsfVersionString.startsWith("2.0")) { //$NON-NLS-1$
 				String webXmlString = null;
 				IFile webXml = null;
 				webXml = getWebXml(fproj, mavenProject);
@@ -198,8 +215,29 @@
 					}
 				}
 			}
+
+			if (shouldFixFacesConfig && generatedFacesConfig.exists()) {
+				if (facesConfig.exists()) { 
+					//We have 2 config files. Delete the gen'd one
+					generatedFacesConfig.delete(true, monitor);
+				}
+				else { 
+					//move the gen'd config file to the appropriate source folder
+					IContainer destination = facesConfig.getParent();
+					if (destination != null && !destination.exists()) {
+						  destination.getLocation().toFile().mkdirs();
+					}
+					generatedFacesConfig.move(facesConfig.getFullPath(), true, monitor);
+				}
+			}
+			
 		}
 	}
+	
+	private IFile getFileFromUnderlyingresources(final IProject project, final IPath filePath) {
+			  IContainer underlyingFolder = ComponentCore.createComponent(project).getRootFolder().getUnderlyingFolder();
+			  return project.getFile(underlyingFolder.getProjectRelativePath().append(filePath));
+	}
 
 	private IFile getWebXml(IFacetedProject fproj, MavenProject mavenProject) {
 		IFile webXml;
@@ -289,13 +327,42 @@
 
 	private String getJSFVersion(MavenProject mavenProject) {
 		String version = null;
-		version = Activator.getDefault().getDependencyVersion(mavenProject,
-				JSF_API_GROUP_ID, JSF_API_ARTIFACT_ID);
+		version = Activator.getDefault().getDependencyVersion(mavenProject, JSF_API_GROUP_ID, JSF_API_ARTIFACT_ID);
+		if (version == null) {
+			version = Activator.getDefault().getDependencyVersion(mavenProject, JSF_API2_GROUP_ID, JSF_API_ARTIFACT_ID);
+		}
 		if (version == null) {
-			version = Activator.getDefault().getDependencyVersion(mavenProject,
-					JSF_API2_GROUP_ID, JSF_API_ARTIFACT_ID);
+			version = inferJsfVersionFromDependencies(mavenProject, JSF_API2_GROUP_ID, JSF_API_ARTIFACT_ID, JSF_VERSION_2_0);
 		}
-		return version;
+	    return version;
 	}
 
+	private String inferJsfVersionFromDependencies(MavenProject mavenProject, String groupId, String artifactId, String defaultVersion) {
+		boolean hasCandidates = false;
+		String jsfVersion = null;
+		List<ArtifactRepository> repos = mavenProject.getRemoteArtifactRepositories();
+		for (Artifact artifact : mavenProject.getArtifacts()) {
+			if (isKnownJsfBasedArtifact(artifact)) {
+				hasCandidates = true;
+				jsfVersion = Activator.getDefault().getDependencyVersion(artifact, repos, groupId, artifactId);
+				if (jsfVersion != null) {
+					//TODO should probably not break and take the highest version returned from all dependencies
+					break;
+				}
+			}
+		}
+		//Fallback to default JSF version
+		if (hasCandidates && jsfVersion == null) {
+			return defaultVersion;
+		}
+		return jsfVersion;
+	}
+
+	private boolean isKnownJsfBasedArtifact(Artifact artifact) {
+		return artifact.getGroupId().startsWith("org.jboss.seam.") 	//$NON-NLS-1$ 
+				&& artifact.getArtifactId().equals("seam-faces") 	//$NON-NLS-1$
+				&& artifact.getVersion().startsWith("3.");			//$NON-NLS-1$
+	}
+
+	
 }
Index: plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/Messages.java
===================================================================
--- plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/Messages.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.jsf/src/org/jboss/tools/maven/jsf/Messages.java	(working copy)
@@ -1,7 +1,22 @@
+/*******************************************************************************
+ * Copyright (c) 2011 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
 package org.jboss.tools.maven.jsf;
 
 import org.eclipse.osgi.util.NLS;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = "org.jboss.tools.maven.jsf.messages"; //$NON-NLS-1$
 	public static String JSFProjectConfigurator_The_project_does_not_contain_the_Web_Module_facet;
Index: plugins/org.jboss.tools.maven.jsf/META-INF/MANIFEST.MF
===================================================================
--- plugins/org.jboss.tools.maven.jsf/META-INF/MANIFEST.MF	(revision 32612)
+++ plugins/org.jboss.tools.maven.jsf/META-INF/MANIFEST.MF	(working copy)
@@ -2,14 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.jsf;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.2.0.qualifier
 Bundle-Activator: org.jboss.tools.maven.jsf.MavenJSFActivator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.jboss.tools.maven.core,
  org.jboss.tools.maven.ui,
  org.jboss.tools.common.model,
- org.maven.ide.eclipse.maven_model_edit;bundle-version="0.10.0";visibility:=reexport,
  org.eclipse.jst.j2ee.core,
  org.eclipse.jst.j2ee,
  org.eclipse.wst.common.emfworkbench.integration,
Index: plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/configurators/PortletProjectConfigurator.java
===================================================================
--- plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/configurators/PortletProjectConfigurator.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/configurators/PortletProjectConfigurator.java	(working copy)
@@ -1,3 +1,13 @@
+/*******************************************************************************
+ * Copyright (c) 2011 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
 package org.jboss.tools.maven.portlet.configurators;
 
 import org.apache.maven.project.MavenProject;
@@ -8,6 +18,10 @@
 import org.eclipse.jst.common.project.facet.core.libprov.ILibraryProvider;
 import org.eclipse.jst.common.project.facet.core.libprov.LibraryInstallDelegate;
 import org.eclipse.jst.common.project.facet.core.libprov.LibraryProviderFramework;
+import org.eclipse.m2e.core.project.IMavenProjectFacade;
+import org.eclipse.m2e.core.project.MavenProjectChangedEvent;
+import org.eclipse.m2e.core.project.configurator.AbstractProjectConfigurator;
+import org.eclipse.m2e.core.project.configurator.ProjectConfigurationRequest;
 import org.eclipse.wst.common.componentcore.ModuleCoreNature;
 import org.eclipse.wst.common.frameworks.datamodel.IDataModel;
 import org.eclipse.wst.common.project.facet.core.IFacetedProject;
@@ -16,17 +30,18 @@
 import org.eclipse.wst.common.project.facet.core.ProjectFacetsManager;
 import org.jboss.tools.maven.core.IJBossMavenConstants;
 import org.jboss.tools.maven.core.internal.project.facet.MavenFacetInstallDataModelProvider;
-import org.jboss.tools.maven.ui.Activator;
 import org.jboss.tools.maven.portlet.MavenPortletActivator;
 import org.jboss.tools.maven.portlet.Messages;
+import org.jboss.tools.maven.ui.Activator;
 import org.jboss.tools.portlet.core.IPortletConstants;
 import org.jboss.tools.portlet.core.internal.project.facet.JSFPortletFacetInstallDataModelProvider;
 import org.jboss.tools.portlet.core.internal.project.facet.PortletFacetInstallDataModelProvider;
-import org.maven.ide.eclipse.project.IMavenProjectFacade;
-import org.maven.ide.eclipse.project.MavenProjectChangedEvent;
-import org.maven.ide.eclipse.project.configurator.AbstractProjectConfigurator;
-import org.maven.ide.eclipse.project.configurator.ProjectConfigurationRequest;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class PortletProjectConfigurator extends AbstractProjectConfigurator {
 
 	private static final String PORTLET_API_GROUP_ID = "javax.portlet"; //$NON-NLS-1$
Index: plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/MavenPortletActivator.java
===================================================================
--- plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/MavenPortletActivator.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/MavenPortletActivator.java	(working copy)
@@ -1,3 +1,13 @@
+/*******************************************************************************
+ * Copyright (c) 2011 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
 package org.jboss.tools.maven.portlet;
 
 import org.eclipse.core.runtime.IStatus;
Index: plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/Messages.java
===================================================================
--- plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/Messages.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/Messages.java	(working copy)
@@ -1,7 +1,22 @@
+/*******************************************************************************
+ * Copyright (c) 2011 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
 package org.jboss.tools.maven.portlet;
 
 import org.eclipse.osgi.util.NLS;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = "org.jboss.tools.maven.jsf.messages"; //$NON-NLS-1$
 	public static String PortletProjectConfigurator_The_project_does_not_contain_the_Web_Module_facet;
Index: plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/PortletLifecycleMapping.java
===================================================================
--- plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/PortletLifecycleMapping.java	(revision 0)
+++ plugins/org.jboss.tools.maven.portlet/src/org/jboss/tools/maven/portlet/PortletLifecycleMapping.java	(revision 0)
@@ -0,0 +1,20 @@
+/*******************************************************************************
+ * Copyright (c) 2010 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.maven.portlet;
+
+import org.eclipse.m2e.core.project.configurator.AbstractCustomizableLifecycleMapping;
+
+/**
+ * @author snjeza
+ */
+public class PortletLifecycleMapping extends AbstractCustomizableLifecycleMapping {
+
+}
Index: plugins/org.jboss.tools.maven.portlet/META-INF/MANIFEST.MF
===================================================================
--- plugins/org.jboss.tools.maven.portlet/META-INF/MANIFEST.MF	(revision 32612)
+++ plugins/org.jboss.tools.maven.portlet/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.portlet;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.2.0.qualifier
 Bundle-Activator: org.jboss.tools.maven.portlet.MavenPortletActivator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
@@ -10,7 +10,6 @@
  org.jboss.tools.maven.ui,
  org.jboss.tools.portlet.core,
  org.jboss.tools.common.model,
- org.maven.ide.eclipse.maven_model_edit;bundle-version="0.10.0";visibility:=reexport,
  org.eclipse.jst.j2ee.core,
  org.eclipse.jst.j2ee,
  org.eclipse.wst.common.emfworkbench.integration
